[tool.commitizen]
annotated_tag = true
changelog_incremental = true
major_version_zero = true
tag_format = "v$version"
update_changelog_on_bump = true
version = "0.0.0"
{%- if python or odoo %}

[tool.ruff]
extend-include = ['*.ipynb']

[tool.ruff.lint]
extend-ignore = ['B028', 'B904', 'D105', 'D107', 'E501']
extend-select = [
  'ARG',
  'B',
  'C90',
  'D',
  'E',
  'F',
  'FA',
  'I',
  'PERF',
  'PGH',
  'UP',
]

[tool.ruff.lint.isort]
{#- https://www.odoo.com/documentation/17.0/contributing/development/coding_guidelines.html#imports #}
{%- if odoo %}
known-first-party = ['odoo', 'odoo.addons']
{%- endif %}
combine-as-imports = true

[tool.ruff.lint.per-file-ignores]
'__init__.py' = ['F401']
'tests/**' = ['D']

[tool.ruff.lint.pydocstyle]
convention = 'google'
{%- endif %}
